<?php
namespace Modules\Orders\Apollo\Collector\Model\Filters;

class FileParsed extends \ModulesAbstract\ImportedOrdersFileManager\Model\Filters\FileParsedAbstract
{

 	/**
 	 * Get files list from database. The search can be recursevely
 	 * @param String $basePath
 	 * @throws \DBException
 	 * @return Array
 	 */
 	protected function getFilesFromDatabase($basePath)
 	{

 		global $DBTApolloParsedFiles;

 		$layoutHandlerSettings = $this->layoutHandler->getSettings();

 		if ($basePath == '/') {
 			$basePath = '';
 		}

 		// search recursevely
 		if ($layoutHandlerSettings['recurse']) {
 			$sql = sprintf("SELECT `filePath` FROM `{$DBTApolloParsedFiles}` WHERE `filePath` LIKE '%s%%'", $this->sqlEscapeForRegexpString($basePath));
 		}
 		else {
 			$sql = sprintf("SELECT `filePath` FROM `{$DBTApolloParsedFiles}` WHERE `filePath` REGEXP '^%s[^\/]+$'", $this->sqlEscapeForRegexpString($basePath));
 		}

 		$db = \DB::getInstance();

 		$apolloFiles = $db->GetCol($sql);

 		if ($db->ErrorNo()) {
 			throw new \DBException("Cannot get Apollo parsed files from database");
 		}

 		return $apolloFiles;

 	}
}